## StBin StBin — a simple container with one actor |

## Functions

StWidget * | st_bin_new ()
void | st_bin_set_child ()
ClutterActor * | st_bin_get_child ()
void | st_bin_set_alignment ()
void | st_bin_get_alignment ()
void | st_bin_set_fill ()
void | st_bin_get_fill ()

## Properties

ClutterActor * | child | Read / Write
StAlign | x-align | Read / Write
gboolean | x-fill | Read / Write
StAlign | y-align | Read / Write
gboolean | y-fill | Read / Write

## Types and Values

struct | StBin
struct | StBinClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StBin
                        ├── StButton
                        ╰── StScrollView

## Implemented Interfaces

StBin implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StBin is a simple container capable of having only one ClutterActor as a child.

StBin inherits from StWidget, so it is fully themable.

## Functions

### st_bin_new ()

    StWidget *
    st_bin_new (void);

Creates a new StBin, a simple container for one child.

#### Returns

the newly created StBin actor

### st_bin_set_child ()

    void
    st_bin_set_child (StBin *bin,
                      ClutterActor *child);

Sets `child` as the child of `bin` .

If `bin` already has a child, the previous child is removed.

#### Parameters

bin | a StBin |
child | a ClutterActor, or `NULL`. | [nullable]

### st_bin_get_child ()

    ClutterActor *
    st_bin_get_child (StBin *bin);

Retrieves a pointer to the child of `bin` .

#### Parameters

bin | a StBin |

#### Returns

a ClutterActor, or `NULL`.

[transfer none]

### st_bin_set_alignment ()

    void
    st_bin_set_alignment (StBin *bin,
                          StAlign x_align,
                          StAlign y_align);

Sets the horizontal and vertical alignment of the child inside a StBin.

#### Parameters

bin | a StBin |
x_align | horizontal alignment |
y_align | vertical alignment |

### st_bin_get_alignment ()

    void
    st_bin_get_alignment (StBin *bin,
                          StAlign *x_align,
                          StAlign *y_align);

Retrieves the horizontal and vertical alignment of the child inside a StBin, as set by `st_bin_set_alignment()`.

#### Parameters

bin | a StBin |
x_align | return location for the horizontal alignment, or `NULL` |
y_align | return location for the vertical alignment, or `NULL` |

### st_bin_set_fill ()

    void
    st_bin_set_fill (StBin *bin,
                     gboolean x_fill,
                     gboolean y_fill);

Sets whether the child of `bin` should fill out the horizontal and/or vertical allocation of the parent

#### Parameters

bin | a StBin |
x_fill | `TRUE` if the child should fill horizontally the `bin` |
y_fill | `TRUE` if the child should fill vertically the `bin` |

### st_bin_get_fill ()

    void
    st_bin_get_fill (StBin *bin,
                     gboolean *x_fill,
                     gboolean *y_fill);

Retrieves the horizontal and vertical fill settings

#### Parameters

bin | a StBin |
x_fill | return location for the horizontal fill, or `NULL`. | [out]
y_fill | return location for the vertical fill, or `NULL`. | [out]

## Types and Values

### struct StBin

    struct StBin;

The StBin struct contains only private data

### struct StBinClass

    struct StBinClass {
    };

The StBinClass struct contains only private data

## Property Details

### The `“child”` property

      “child”                    ClutterActor *

The child ClutterActor of the StBin container.

Flags: Read / Write

### The `“x-align”` property

      “x-align”                  StAlign

The horizontal alignment of the StBin child.

Flags: Read / Write

Default value: ST_ALIGN_MIDDLE

### The `“x-fill”` property

      “x-fill”                   gboolean

Whether the child should fill the horizontal allocation

Flags: Read / Write

Default value: FALSE

### The `“y-align”` property

      “y-align”                  StAlign

The vertical alignment of the StBin child.

Flags: Read / Write

Default value: ST_ALIGN_MIDDLE

### The `“y-fill”` property

      “y-fill”                   gboolean

Whether the child should fill the vertical allocation

Flags: Read / Write

Default value: FALSE